#include <iostream>
#include <fstream>
#include <ParticleData.h>

using namespace std;

int main()
{
  cout << "Finished SUSYHIT program" << endl << endl;
  cout << "Combining SUSYHIT file with flavor violating decays file"
       << endl;
  
  //Declare the model object
  Model* model = new Model;

  char strTemp[300];
  ifstream intin, slhain, slha2in;
  ofstream herwigout, slhaout, slha2out;

  //Check the output softsusy SLHA2 file for reference to Tachyonic particles
  //and exit without outputting if one is found.
  slha2in.open("softsusySLHA2.out");
  while(!slha2in.eof()) {
    slha2in>>strTemp;
    if(!strcmp(strTemp,"Tachyon")) {
      cout<<"FileCombine: Error - cannot combine files for tachyonic spectrum"
	  <<endl;
      return 0;
    }
  }

  slha2in.clear();
  slha2in.close();

  //Read in the intermediate and susyhit files and combine the decay tables
  intin.open("spicydecays.out");
  slhain.open("susyhit_slha.out");
  model->Combine(intin, slhain);

  intin.clear();
  intin.close();
  slhain.clear();
  slhain.close();

  //Output a Herwig format file
  herwigout.open("HerwigFinal.out");
  model->OutputHerwigFile(herwigout);

  //Output a SLHA format file
  slhain.open("susyhit_slha.out");
  slhaout.open("SLHAFinal.out");
  model->OutputLesHouchesFile(slhain, slhaout, 1);

  //Output a SLHA2 format file
  slha2in.open("softsusySLHA2.out");
  slha2out.open("SLHA2Final.out");
  model->OutputLesHouchesFile(slha2in, slha2out, 2);

  slhain.clear();
  slhain.close();
  slha2in.clear();
  slha2in.close();
  herwigout.clear();
  herwigout.close();
  slhaout.clear();
  slhaout.close();
  slha2out.clear();
  slha2out.close();

  delete model;
  return 0;
}
