#ifndef PARTICLE_CODES_H
#define PARTICLE_CODES_H

#define PDGDOWN 1
#define PDGUP 2
#define PDGSTRANGE 3
#define PDGCHARM 4
#define PDGBOTTOM 5
#define PDGTOP 6
#define PDGELECTRON 11
#define PDGENEUTRINO 12
#define PDGMUON 13
#define PDGMUNEUTRINO 14
#define PDGTAU 15
#define PDGTAUNEUTRINO 16
#define PDGGLUON 21
#define PDGPHOTON 22
#define PDGZ 23
#define PDGW 24
#define PDGHIGGS 25
#define PDGHEAVYHIGGS 35
#define PDGCPODDHIGGS 36
#define PDGCHARGEDHIGGS 37
#define PDGGRAVITON 39
#define PDGSDL 1000001
#define PDGSUL 1000002
#define PDGSSL 1000003
#define PDGSCL 1000004
#define PDGSB1 1000005
#define PDGST1 1000006
#define PDGSDR 2000001
#define PDGSUR 2000002
#define PDGSSR 2000003
#define PDGSCR 2000004
#define PDGSB2 2000005
#define PDGST2 2000006
#define PDGSEL 1000011
#define PDGSNUEL 1000012
#define PDGSMUL 1000013
#define PDGSNUMUL 1000014
#define PDGSTAU1 1000015
#define PDGSNUTAUL 1000016
#define PDGSER 2000011
#define PDGSNUER 2000012
#define PDGSMUR 2000013
#define PDGSNUMUR 2000014
#define PDGSTAU2 2000015
#define PDGSNUTAUR 2000016
#define PDGGLUINO 1000021
#define PDGNEUTR1 1000022
#define PDGNEUTR2 1000023
#define PDGNEUTR3 1000025
#define PDGNEUTR4 1000035
#define PDGCHARGINO1 1000024
#define PDGCHARGINO2 1000037
#define PDGGRAVITINO 1000039

#define HERDQRK 1
#define HERUQRK 2
#define HERSQRK 3
#define HERCQRK 4
#define HERBQRK 5
#define HERTQRK 6
#define HERDBAR 7
#define HERUBAR 8
#define HERSBAR 9
#define HERCBAR 10
#define HERBBAR 11
#define HERTBAR 12
#define HERGLUON 13
#define HERGAMMA 59
#define HEREM 121
#define HERNU_E 122
#define HERMUM 123
#define HERNU_MU 124
#define HERTAUM 125
#define HERNU_TAU 126
#define HEREP 127
#define HERNU_EBAR 128
#define HERMUP 129
#define HERNU_MUBAR 130
#define HERTAUP 131
#define HERNU_TAUBR 132
#define HERWP 198
#define HERWM 199
#define HERZ0 200
#define HERHIGGSL0 203
#define HERHIGGSH0 204
#define HERHIGGSA0 205
#define HERHIGGSP 206
#define HERHIGGSM 207
#define HERGRAVITON 208
#define HERSSDL 401
#define HERSSUL 402
#define HERSSSL 403
#define HERSSCL 404
#define HERSSB1 405
#define HERSST1 406
#define HERSSDLBR 407
#define HERSSULBR 408
#define HERSSSLBR 409
#define HERSSCLBR 410
#define HERSSB1BR 411
#define HERSST1BR 412
#define HERSSDR 413
#define HERSSUR 414
#define HERSSSR 415
#define HERSSCR 416
#define HERSSB2 417
#define HERSST2 418
#define HERSSDRBR 419
#define HERSSURBR 420
#define HERSSSRBR 421
#define HERSSCRBR 422
#define HERSSB2BR 423
#define HERSST2BR 424
#define HERSSELM 425
#define HERSSNUEL 426
#define HERSSMULM 427
#define HERSSNUMUL 428
#define HERSSTAU1M 429
#define HERSSNUTL 430
#define HERSSELP 431
#define HERSSNUELBR 432
#define HERSSMULP 433
#define HERSSNUMLBR 434
#define HERSSTAU1P 435
#define HERSSNUTLBR 436
#define HERSSERM 437
#define HERSSNUER 438
#define HERSSMURM 439
#define HERSSNUMUR 440
#define HERSSTAU2M 441
#define HERSSNUTR 442
#define HERSSERP 443
#define HERSSNUERBR 444
#define HERSSMURP 445
#define HERSSNUMRBR 446
#define HERSSTAU2P 447
#define HERSSNUTRBR 448
#define HERGLUINO 449
#define HERNTLINO1 450
#define HERNTLINO2 451
#define HERNTLINO3 452
#define HERNTLINO4 453
#define HERCHGINO1P 454
#define HERCHGINO2P 455
#define HERCHGINO1M 456
#define HERCHGINO2M 457
#define HERGRAVTINO 458

#define MU 3.0e-3
#define MD 6.75e-3
#define MC 1.2
#define MS 0.1175
#define MT 173.4
#define MB 4.9
#define ME 5.10998902e-4
#define MMU 1.05658357e-1
#define MTAU 1.77699
#define MW 80.410
#define MZ 91.1876

#endif
